

!!! Listing 1

<%@ LANGUAGE="VBSCRIPT" %>

<!-- #include virtual="/ASPSAMP/SAMPLES/ADOVBS.INC"-->

<SCRIPT RUNAT=SERVER LANGUAGE=VBSCRIPT>
	Sub HelloDataSource()
	 set ConnObj = Server.CreateObject("ADODB.Connection")
	 ConnObj.Open "studios"
	 Response.Write("<P>Hello Data Source <strong>" & _
	  ConnObj.DefaultDatabase & "</strong>")
	 ConnObj.Close 
	End Sub
</SCRIPT>
<HTML>
	<HEAD>
	 <TITLE>Listing 1 : HelloDataSource</TITLE>
	</HEAD>
	<BODY>
	 <% HelloDataSource() %>
	</BODY>
</HTML>

!!! Listing 2

<%@ LANGUAGE="VBSCRIPT" %>

<!-- #include virtual="/ASPSAMP/SAMPLES/ADOVBS.INC"-->

<SCRIPT RUNAT=SERVER LANGUAGE=VBSCRIPT>
 Sub GetConnectionProperties()
   set ConnObj = Server.CreateObject("ADODB.Connection")
   ConnObj.Open "studios"
   Response.Write("<P>Die Verbindung besitzt folgende Eigenschaften:<BR>")
   Response.Write("<BR>Attributes: " & ConnObj.Attributes)
   Response.Write("<BR>CommandTimeout: " & ConnObj.CommandTimeout)
   Response.Write("<BR>ConnectionString: " & ConnObj.ConnectionString)
   Response.Write("<BR>ConnectionTimeout: " & ConnObj.ConnectionTimeout)
   Response.Write("<BR>DefaultDatabase: " & ConnObj.DefaultDatabase)
   Response.Write("<BR>IsolationLevel: " & ConnObj.IsolationLevel)
   Response.Write("<BR>Mode: " & ConnObj.Mode)
   Response.Write("<BR>Provider: " & ConnObj.Provider)
   Response.Write("<BR>Version: " & ConnObj.Version)
   Response.Write("<P>Die Property-Kollektion besteht aus " _
   & ConnObj.Properties.Count & " Property-Objekten")
   Response.Write("<P>Die Errors-Kollektion besteht aus " _
   & ConnObj.Errors.Count & " Error-Objekten")
   ConnObj.Close
 End Sub
</SCRIPT>
<HTML>
	<HEAD>
	 <TITLE>Listing 2: GetConnectionProperties</TITLE>
	</HEAD>
	<BODY>
	 <% GetConnectionProperties() %>
	</BODY>
</HTML>

!!! Listing 3

<%@ LANGUAGE="VBSCRIPT" %>

<!-- #include virtual="/ASPSAMP/SAMPLES/ADOVBS.INC"-->

<SCRIPT RUNAT=SERVER LANGUAGE=VBSCRIPT>
  Sub ExecuteConnectionMethods()
   set ConnObj = Server.CreateObject("ADODB.Connection")
   ConnObj.Open "studios"
   ConnObj.BeginTrans
   Response.Write("<P>Beginn der ersten Transaktion")
   CommandText = "Select * from styles"
   Set recordset = ConnObj.Execute(CommandText)

   Response.Write("<TABLE BORDER=1>" )
   Do While Not recordset.EOF
    Response.Write("<TR>")
    For each x in recordset.Fields
     Response.Write("<TD> " & x.Value & "</TD>")
    next 
    Response.Write("</TR>" )
   recordset.MoveNext
   Loop
   Response.Write("</TABLE>" )
   recordset.Close

   CommandText = "Delete from styles where SNr > 28"
   Set recordset = ConnObj.Execute(CommandText)
   Response.Write("<P>Datenstze wurden gelscht")

   CommandText = "Select * from styles"
   Set recordset = ConnObj.Execute(CommandText)

   Response.Write("<TABLE BORDER=2>" )
   Do While Not recordset.EOF
    Response.Write("<TR>")
    For each x in recordset.Fields
     Response.Write("<TD> " & x.Value & "</TD>")
    next 
    Response.Write("</TR>" )
   recordset.MoveNext
   Loop
   Response.Write("</TABLE>" )
   recordset.Close

   Response.Write("<P>Erste Transaktion wird mit RollbackTrans beendet")
   ConnObj.RollbackTrans
   ConnObj.BeginTrans
   Response.Write("<P>Beginn der zweiten Transaktion")

   CommandText = "Select * from styles"
   Set recordset = ConnObj.Execute(CommandText)

   Response.Write("<TABLE BORDER=2>" )
   Do While Not recordset.EOF
    Response.Write("<TR>")
    For each x in recordset.Fields
     Response.Write("<TD> " & x.Value & "</TD>")
    next 
    Response.Write("</TR>" )
   recordset.MoveNext
   Loop
   Response.Write("</TABLE>" )
   recordset.Close

   Response.Write("<P>Zweite Transaktion wird mit CommitTrans beendet")
   ConnObj.CommitTrans
   ConnObj.Close
  End Sub
</SCRIPT>

<HTML>
  <HEAD>
   <TITLE>Listing 3: ExecuteConnectionMethods</TITLE>
  </HEAD>
  <BODY>
   <% ExecuteConnectionMethods() %>
  </BODY>
</HTML>

!!! Listing 4

<%@ LANGUAGE="VBSCRIPT" %>

<!-- #include virtual="/ASPSAMP/SAMPLES/ADOVBS.INC"-->

<SCRIPT RUNAT=SERVER LANGUAGE=VBSCRIPT>
    Sub GetCommandProperties()
     set CommObj = Server.CreateObject("ADODB.Command")

     CommObj.CommandText = "select * from styles"
     CommObj.ActiveConnection = "studios"
     CommObj.Prepared = True
     CommObj.CommandType = 1

     Response.Write("<P>Das Command-Objekt besitzt nach der Initialisierung folgende Eigenschaften:<BR>")
     Response.Write("<BR>ActiveConnection: " & CommObj.ActiveConnection)
     Response.Write("<BR>CommandTimeout: " & CommObj.CommandTimeout)
     Response.Write("<BR>CommandText: " & CommObj.CommandText)
     Response.Write("<BR>CommandType: " & CommObj.CommandType)
     Response.Write("<BR>Prepared: " & CommObj.Prepared)
    End Sub
</SCRIPT>

<HTML>
    <HEAD>
     <TITLE>Listing 4: GetCommandProperties</TITLE>
    </HEAD>
    <BODY>
     <% GetCommandProperties() %>
    </BODY>
</HTML>

!!! Listing 5

<%@ LANGUAGE="VBSCRIPT" %>

<!-- #include virtual="/ASPSAMP/SAMPLES/ADOVBS.INC"-->

<SCRIPT RUNAT=SERVER LANGUAGE=VBSCRIPT>
   Sub ExecuteCommandMethods()
    set CommObj = Server.CreateObject("ADODB.Command")

    CommObj.CommandText = "update styles set Name='freek' where Name ='freak'"
    CommObj.ActiveConnection = "studios"
    CommObj.Prepared = True
    CommObj.CommandType = 1

    Set recordset = CommObj.Execute(RecordsAffected)   
    Response.Write("<P>Kommandos ausfhren mit dem Command-Objekt")
    Response.Write("<P>Es wurden " & RecordsAffected & " Datenstze gendert:")
   End Sub
</SCRIPT>

<HTML>
   <HEAD>
    <TITLE>Listing 5: ExecuteCommandMethods</TITLE>
   </HEAD>
   <BODY>
    <% ExecuteCommandMethods() %>
   </BODY>
</HTML>

!!! Listing 6

<%@ LANGUAGE="VBSCRIPT" %>

<!-- #include virtual="/ASPSAMP/SAMPLES/ADOVBS.INC"-->

<SCRIPT RUNAT=SERVER LANGUAGE=VBSCRIPT>
    Sub GetRecordsetProperties()
     set RecSetObj = Server.CreateObject("ADODB.Recordset")

     RecSetObj.MaxRecords = 15
     RecSetObj.Open "styles", "studios", adOpenStatic    
     RecSetObj.PageSize = 5
     RecSetObj.AbsolutePage = 3
     RecSetObj.CacheSize=5
     Response.Write("<P>Das Recordset-Objekt besitzt folgende Eigenschaften:<BR>")
     Response.Write("<BR>AbsolutePage: " & RecSetObj.AbsolutePage)
     Response.Write("<BR>AbsolutePosition: " & RecSetObj.AbsolutePosition)
     Response.Write("<BR>ActiveConnection: " & RecSetObj.ActiveConnection)
     Response.Write("<BR>BOF: " & RecSetObj.BOF)
     Response.Write("<BR>CacheSize: " & RecSetObj.CacheSize)
     Response.Write("<BR>CursorType: " & RecSetObj.CursorType)
     Response.Write("<BR>EditMode: " & RecSetObj.EditMode)
     Response.Write("<BR>EOF: " & RecSetObj.EOF)
     Response.Write("<BR>LockType: " & RecSetObj.LockType)
     Response.Write("<BR>MaxRecords: " & RecSetObj.MaxRecords)
     Response.Write("<BR>PageCount: " & RecSetObj.PageCount)
     Response.Write("<BR>PageSize: " & RecSetObj.PageSize)
     Response.Write("<BR>RecordCount: " & RecSetObj.RecordCount)
     Response.Write("<BR>Source: " & RecSetObj.Source)
     Response.Write("<BR>PageCount: " & RecSetObj.PageCount)
     Response.Write("<BR>Status: " & RecSetObj.Status)
     RecSetObj.Close
    End Sub
</SCRIPT>

<HTML>
    <HEAD>
     <TITLE>Listing 6: GetRecordsetProperties</TITLE>
    </HEAD>
    <BODY>
     <% GetRecordsetProperties() %>
    </BODY>
</HTML>

!!! Listing 7

<%@ LANGUAGE="VBSCRIPT" %>

<!-- #include virtual="/ASPSAMP/SAMPLES/ADOVBS.INC"-->

<SCRIPT RUNAT=SERVER LANGUAGE=VBSCRIPT>
    Sub ManipulateData()
     set RecSetObj = Server.CreateObject("ADODB.Recordset")

     RecSetObj.Open "styles", "studios", adOpenKeySet, adLockPessimistic        
     RecSetObj.AbsolutePosition = 10
     Response.Write("<P>Der Inhalt des Datensatzes vor der nderung ist: "& RecSetObj("Name"))
     Response.Write("<BR>Die Eigenschaften besitzen vor der nderung folgende Werte:")
     Response.Write("<BR>EditMode: " & RecSetObj.EditMode)
     Response.Write("<BR>Status: " & RecSetObj.Status)
     
     RecSetObj("Name")="Claudi"

     Response.Write("<P>Die Eigenschaften besitzen nach der nderung folgende Werte:")
     Response.Write("<BR>EditMode: " & RecSetObj.EditMode)
     Response.Write("<BR>Status: " & RecSetObj.Status)

     
     If RecSetObj.Supports(adUpdateBatch) = True then
      Response.Write("<P>Der Datenprovider untersttzt die Methode UpdateBatch")
     End If

     If RecSetObj.Supports(adUpdate) = True then
      Response.Write("<BR>Der Datenprovider untersttzt die Methode Update")
     End If

     RecSetObj.Update

     Response.Write("<P>Der Inhalt des Datensatzes nach der nderung ist: "& RecSetObj("Name"))
     Response.Write("<BR>Die Eigenschaften besitzen nach dem Update folgende Werte:")
     Response.Write("<BR>EditMode: " & RecSetObj.EditMode)
     Response.Write("<BR>Status: " & RecSetObj.Status)
     RecSetObj.Close
    End Sub
</SCRIPT>

<HTML>
    <HEAD>
     <TITLE>Listing 7: ManipulateData</TITLE>
    </HEAD>
    <BODY>
     <% ManipulateData() %>
    </BODY>
</HTML>

!!! Listing 8

<%@ LANGUAGE="VBSCRIPT" %>

<!-- #include virtual="/ASPSAMP/SAMPLES/ADOVBS.INC"-->

<SCRIPT RUNAT=SERVER LANGUAGE=VBSCRIPT>
    Sub ShowConnectionPropertyCollection()
     set ConnObj = Server.CreateObject("ADODB.Connection")
     ConnObj.Open "studios"
     Response.Write("<P>Die Property-Kollektion besteht aus " _
     & ConnObj.Properties.Count & " Property-Objekten")

     Response.Write("<TABLE BORDER=2>" )
     Response.Write("<TH>Name</TH><TH>Type</TH><TH>Attributes</TH><TH>Value</TH>")
     for each y in ConnObj.Properties
      Response.Write("<TR><TD>" & y.Name & "</TD>")
      Response.Write("<TD>" & y.Type & "</TD>")
      Response.Write("<TD>" & y.Attributes & "</TD>")
      Response.Write("<TD>" & y.Value & "</TR></TD>")
     next
     Response.Write("</TABLE>" )

     ConnObj.Close
    End Sub
</SCRIPT>

<HTML>
    <HEAD>
     <TITLE>Listing 8: ShowConnectionPropertyCollection</TITLE>
    </HEAD>
    <BODY>
     <% ShowConnectionPropertyCollection() %>
    </BODY>
</HTML>